在amazon linux上安装PHP的mongo驱动程序时出错

发布时间:2019-07-11 发布网站:脚本之家
脚本之家收集整理的这篇文章主要介绍了在amazon linux上安装PHP的mongo驱动程序时出错脚本之家小编觉得挺不错的,现在分享给大家,也给大家做个参考。

我试图在Amazon Linux上安装PHP的mongodb驱动程序.
在运行sudo pecl install mongo时,我收到错误消息:

fatal error: openssl/evp.h: No such file or directory
 #include 

梨子版本:1.9.5
PHP版本:5.3.29

我安装了gcc,这帮助我进一步推进安装,直到出现此错误.

我能找到的最佳指南在这里:
http://jonathanhui.com/install-mongodb-amazon-linux
PHP指南:http://php.net/manual/en/mongo.installation.php

最佳答案
evp是高级加密功能.

尝试安装开发库:

Ubuntu的:
sudo apt-get install libssl-dev

CentOS的:
yum install openssl-devel

总结

以上是脚本之家为你收集整理的在amazon linux上安装PHP的mongo驱动程序时出错全部内容,希望文章能够帮你解决在amazon linux上安装PHP的mongo驱动程序时出错所遇到的程序开发问题。

如果觉得脚本之家网站内容还不错,欢迎将脚本之家网站推荐给程序员好友。

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
如您有任何意见或建议可联系处理。小编QQ:76874919,请注明来意。

快乐,其实很简单!比如有我~

关注我升职加薪